mixed-port: 7890
allow-lan: false
mode: rule
log-level: info
ipv6: false

dns:
  enable: true
  listen: 127.0.0.1:1053
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  nameserver:
    - https://1.1.1.1/dns-query
    - https://8.8.8.8/dns-query
  fallback:
    - tls://1.1.1.1
    - tls://8.8.8.8

proxies:
  - name: "AWS-Tokyo-HY2"
    type: hysteria2
    server: 35.79.59.149
    port: 443
    password: "CO2iHI5vMpqPFIFOCSt5xMnN7Ec7g5Gg"
    sni: v.kwoksiuwang.com
    skip-cert-verify: false
    alpn:
      - h3
    up: "20 Mbps"
    down: "100 Mbps"
  - name: "AWS-Singapore-HY2"
    type: hysteria2
    server: 47.131.200.221
    port: 443
    password: "DKwZO2wm1SqwzO0UHjCvI4sHpWVLbZ9B"
    sni: sg.kwoksiuwang.com
    skip-cert-verify: false
    alpn:
      - h3
    up: "20 Mbps"
    down: "100 Mbps"

proxy-groups:
  - name: "PROXY"
    type: select
    proxies:
      - "AWS-Tokyo-HY2"
      - "AWS-Singapore-HY2"
      - DIRECT

rules:
  - DOMAIN-SUFFIX,local,DIRECT
  - IP-CIDR,127.0.0.0/8,DIRECT
  - IP-CIDR,10.0.0.0/8,DIRECT
  - IP-CIDR,172.16.0.0/12,DIRECT
  - IP-CIDR,192.168.0.0/16,DIRECT
  - GEOIP,CN,DIRECT
  - MATCH,PROXY